The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the Details of Domain Name Exceptions

Prev Next

This URL updates the details of the domain name exception from the IPS inspection allowlist.

Resource URL

PUT /domainnameexceptions/ipsinspectionallowlist

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name Description Data Type Mandatory
oldDomainName Name of the old domain String Yes
domainName Name of the nee domain String Yes
state State of the domain. Either "E" or "D". String No
comment Description of the exception String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://%3CNSM_IP%3E/sdkapi/domainnameexceptions/ipsinspectionallowlist

Payload

{
"state": "E",
"oldDomainName": "www.google2.com",
"domainName": "www.google3.com", 
"comment": "updated domain"
} 

Response

{
“status”:1
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error message: Internal server error
2 500 1001 Internal error message: Domain name is not found <domainName>
3 500 1001 Invalid domain name. The length should be a maximum of 67 characters.
4 500 1001 Invalid domain name
5 500 1001 Duplicate domain name